<?php

/* DCMS Special
 * Дата последнего редактирования 01.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

include_once 'inc/functions.php';

only_reg('/reg.php');

$set['title'] = lang('Заказ рекламы'); // заголовок страницы

include_once H . 'sys/inc/thead.php';

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl_ban` WHERE `id_user` = '$user[id]' AND (`time` > '$time')"), 0) != 0) {
    $post = mysql_fetch_assoc(mysql_query("SELECT * FROM `rekl_ban` WHERE `id_user` = '$user[id]' AND `time` > '$time' ORDER BY `time` DESC LIMIT 1"));
    $ank = get_user($post['id_ban']);

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/modules/shop/'>" . lang('Магазин') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Реклама');
    echo "</small></div><br />";

    echo '<div class="list-group-item-null list-group-item-warning">';
    echo 'Извините, но Вам доступ к рекламе ограничен.<br />';
    echo 'Запретил: <a href="/info.php?id=' . $ank['id'] . '";>' . $ank['nick'] . '</a><br />';
    echo 'Причина: ' . toOutput($post['prich']) . '<br />';
    echo 'Заказывать рекламу сможете через: ' . date::time($post['time']) . '<br />';
    echo '</div>';

    include_once H . 'sys/inc/tfoot.php';
}

if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['link']) && $_POST['link'] != NULL && isset($_POST['img']) && isset($_POST['ch']) && isset($_POST['mn'])) {
    $ch = intval($_POST['ch']);
    $mn = intval($_POST['mn']);
    $sel = intval($_POST['sel']);
    $time_last = time() + $ch * $mn * 60 * 60;
    $time_rekl = $ch * $mn * 60 * 60;
    $k_money = $ch * $mn;
    if ($sel == 1) {
        $st = $k_money * $set['rekl_money_1'];
    } elseif ($sel == 2) {
        $st = $k_money * $set['rekl_money_2'];
    } elseif ($sel == 3) {
        $st = $k_money * $set['rekl_money_3'];
    } elseif ($sel == 4) {
        $st = $k_money * $set['rekl_money_4'];
    } else {
        $err[] = 'Ошибка выбора размещения рекламы';
    }
    $discount = ($st * discount()) / 100;
    $st = floor($st - $discount);
    if (isset($_POST['dop_str']) && $_POST['dop_str'] == 1)
        $dop_str = 1;
    else
        $dop_str = 0;


    $link = stripcslashes(htmlspecialchars($_POST['link']));
    $name = stripcslashes(htmlspecialchars($_POST['name']));
    $icon = stripcslashes(htmlspecialchars($_POST['icon']));
    $img = stripcslashes(htmlspecialchars($_POST['img']));
    preg_match('~^(?P<name>[^.]+)\.(?P<zone>[^/]+)~', $link, $match);
    if (mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl_link` WHERE `link` like '%" . $match['name'] . "%'"), 0) > 0) {
        $err = 'Ваш сайт находится в чёрном списке';
    }

    $domens = explode(';', $set['rekl_domens']);
    $domen_ok = false;
    for ($i = 0; $i < count($domens); $i++) {
        if ($domens[$i] != NULL && strtolower($match['zone']) == $domens[$i])
            $domen_ok = true;
    }
    if ($domen_ok) {
        $err = 'Ваш домен ' . strtolower($match['zone']) . ' занесён в чёрный список';
    }

    if ($set['rekl_1'] == 1 && $sel == 1)
        $err = 'Заказывать рекламу &quot;Под заголовком&quot; нельзя';
    if ($set['rekl_2'] == 1 && $sel == 2)
        $err = 'Заказывать рекламу &quot;Главное меню&quot; нельзя';
    if ($set['rekl_3'] == 1 && $sel == 3)
        $err = 'Заказывать рекламу &quot;Низ сайта (главная)&quot; нельзя';
    if ($set['rekl_4'] == 1 && $sel == 4)
        $err = 'Заказывать рекламу &quot;Низ сайта (остальные)&quot; нельзя';
    if (!isset($user)) {
        $err = 'Необходимо пройти авторизацию';
    }
    if ($ch < 1) {
        $err[] = 'Рекламу можно заказывать минимум на 1 час.';
    }
    if ($user['money'] < $st) {
        $err[] = 'У вас не хватает ' . ($st - $user['money']) . ' рублей';
    }
    if (utf8_strlen($name) > 32) {
        $err[] = 'Макс. длинна названия 32 символа';
    }
    if (utf8_strlen($link) > 64) {
        $err[] = 'Макс. длинна ссылки 64 символа';
    }
    if (utf8_strlen($img) > 64) {
        $err[] = 'Макс. длинна ссылки картинки 64 символа';
    }
    if (!isset($err)) {
        mysql_query("INSERT INTO `rekl` (`time_last`, `name`, `img`, `icon`, `link`, `sel`, `dop_str`) VALUES ('$time_last', '$name', '$img', '$icon', '$link', '$sel', '$dop_str')");
        mysql_query("INSERT INTO `rekl_story` (`id_user`, `time`, `time_rekl`, `name`, `link`, `sel`, `img`, `money`) VALUES ('$user[id]', '$time', '$time_rekl', '$name', '$link', '$sel', '$img', '$st')");
        mysql_query("UPDATE `user` SET `money` = '" . ($user['money'] - $st) . "' WHERE `id` = '$user[id]' LIMIT 1");
        $_SESSION['true'] = 'Рекламная ссылка добавлена.<br />С Вас снято ' . $st . ' рублей.';
        header("Location: ?" . SID);
        exit();
    }
}
err();
aut(); // форма авторизации

if (isset($_SESSION['true'])) {
    msg('' . $_SESSION['true'] . '');
    unset($_SESSION['true']);
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/shop/'>" . lang('Магазин') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Реклама');
echo "</small></div><br />";

echo "<div class='list-group-item-null list-group-item-grey'>" . lang('У Вас') . " <span style='color: green;'><i class='fa fa-money fa-fw'></i> $user[money]</span></div>";

echo '<div class="list-group-item-null">';
echo lang('Здесь Вы можете заказать рекламу на сайте') . '. <br /><hr>';
echo 'Вы можете заказать рекламу максимум:<br />';
echo '- под заголовком <b>' . (floor($user['money'] / (intval(deduction(1)) * 1))) . ' час.</b> <small><i>(' . deduction(1) . ' рублей в час)</i></small><br />';
echo '- главное меню <b>' . (floor($user['money'] / (intval(deduction(2)) * 1))) . ' час.</b> <small><i>(' . deduction(2) . ' рублей в час)</i></small><br />';
echo '- низ сайта (главная) <b>' . (floor($user['money'] / (intval(deduction(3)) * 1))) . ' час.</b> <small><i>(' . deduction(3) . ' рублей в час)</i></small><br />';
echo '- низ сайта (остальные) <b>' . (floor($user['money'] / (intval(deduction(4)) * 1))) . ' час.</b> <small><i>(' . deduction(4) . ' рублей в час)</i></small><br />';

if ($set['rekl_discount'] == 1 || $set['rekl_discount'] == 2) {
    echo '<span class="tag tag-warning">' . lang('Цены указаны с учётом скидки') . '!</span><br />';
}
echo '</div>';
if ($set['rekl_discount'] == 1 || $set['rekl_discount'] == 2) {
    echo '<div class="list-group-item-null list-group-item-warning">';
    echo '<b>Внимание!</b> Включена система скидок на заказ рекламы. (' . (!isset($_GET['discount']) ? '<a href="?discount">подробнее</a>' : '<a href="?">скрыть</a>') . ')<br />';
    if (isset($_GET['discount'])) {
        echo '' . ($set['rekl_discount'] == 1 ? 'Размер скидкы зависит от общего количества времени Ваших заказов, на данный момент продолжительность Ваших заказов составляет <b>' . vremja_sek(mysql_result(mysql_query("SELECT SUM(time_rekl) FROM `rekl_story` WHERE `id_user` = '" . $user['id'] . "'"), 0)) . '</b>. За <b>' . vremja_sek($set['rekl_discount_sec']) . '</b> заказанной рекламы вы получаете скидку ' . $set['rekl_discount_per'] . '%. <br />' : null) . 'Ваша скидка составляет: ' . discount() . '%<br />';
    }
    echo '</div>';
}

echo "<form class='list-group-item-null list-group-item-grey' method='post' action='?add'>\n";

$doc->Input('name', 'Название');
$doc->Input('icon', 'Иконка', 50, "tag");
$doc->Input('link', 'Ссылка', 100, "http://");
$doc->Input('img', 'Картинка');

echo "<br /><a href='http://fontawesome.io/icons/'><i class='fa fa-fa fa-fw'></i> <b>Список иконок</b></a> (писать только название иконки)<br /><br />";


echo "Срок действия:<br />\n";

echo "<input type=\"number\" name=\"ch\" class='form-control' style='width: 40%' value=\"1\" />\n";
echo "<select name=\"mn\" class='form-control' style='width: 40%'>\n";
echo "<option value=\"1\">Часов</option>\n";
echo "<option value=\"24\" selected>Дней</option>\n";
echo "<option value=\"168\">Недель</option>\n";
echo "</select><br />\n";

echo "" . lang('Размещение рекламы') . ":<br />\n";

echo "<select name=\"sel\" class='custom-select'>\n";
echo "  <option value=\"1\"" . ($set['rekl_1'] == 0 ? null : ' disabled="disabled"') . ">Под заголовком</option>\n";
echo "  <option value=\"2\"" . ($set['rekl_2'] == 0 ? null : ' disabled="disabled"') . ">Главное меню</option>\n";
echo "  <option value=\"3\"" . ($set['rekl_3'] == 0 ? null : ' disabled="disabled"') . ">Низ сайта (главная)</option>\n";
echo "  <option value=\"4\"" . ($set['rekl_4'] == 0 ? null : ' disabled="disabled"') . ">Низ сайта (остальные)</option>\n";
echo "</select><br /><br />\n";

$doc->Checkbox('dop_str', 'Доп. страница', 1, "checked='checked'");
echo "<br />";
$doc->Button('btn btn-primary btn-sm', null, 'plus', 'Добавить');

echo "</form>\n";

echo '<div class="list-group-item-null list-group-item-warning">';
echo '* Будьте внимательны при вводе данных, если Ваша ссылка будет нарушать правила сайта, или сайт по какой то причине не доступен, администрация сайта вправе удалить вашу ссылку без возврата средств.';
echo '</div>';

echo "<a class='list-group-item-null' href='black.list.php'><i class='fa fa-ban fa-fw'></i> Чёрный список (" . mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl_ban`"), 0) . ")</a>";
if (access('adm_rekl_black_list')) {
    echo "<a class='list-group-item-null' href='black.link.php'><i class='fa fa-link fa-fw'></i> Чёрный список сайтов (" . mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl_link`"), 0) . ")</a>";
}
if (access('adm_rekl_black_list')) {
    echo "<a class='list-group-item-null' href='story.php'><i class='fa fa-file-text fa-fw'></i> Посмотреть историю</a>";
}
if (access('adm_rekl_black_list')) {
    echo "<a class='list-group-item-null' href='settings.php'><i class='fa fa-cog fa-fw'></i> Параметры</a>";
}
echo "<a class='list-group-item-null' href='stat.php'><i class='fa fa-bar-chart fa-fw'></i> Посмотреть статистику</a>";

include_once H . 'sys/inc/tfoot.php';

